import BackgroundCircle from './BackgroundCircle';
import Eyes from './Eyes';
import Mouth from './Mouth';
import { FaceContainer } from './FaceContainer';

export const Face = ({
  width,
  height,
  centerX,
  centerY,
  strokeWidth,
  eyeOffsetX,
  eyeOffsetY,
  eyeRadius,
  mouthRadius,
  mouthWidth,
}) => (
  <FaceContainer width={width} height={height}>
    <BackgroundCircle
      centerX={centerX}
      centerY={centerY}
      radius={centerY - strokeWidth / 2}
      strokeWidth={strokeWidth}
    />

    <Eyes
      eyeRadius={eyeRadius}
      centerX={centerX}
      eyeOffsetX={eyeOffsetX}
      centerY={centerY}
      eyeOffsetY={eyeOffsetY}
    />

    <Mouth
      mouthRadius={mouthRadius}
      mouthWidth={mouthWidth}
      centerX={centerX}
      centerY={centerY}
    />
  </FaceContainer>
);